NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Routing.ControlPointCollection Member List

This is the complete list of members for NXOpen.Routing.ControlPointCollection, including all inherited members.

AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
CheckExisting enum nameNXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.Point3d position, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
CreateControlPoint(NXOpen.Routing.Port port, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
CreateControlPoint(NXOpen.TaggedObject @object, double objectParm, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
CreateControlPoint(NXOpen.Point point, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
CreateControlPoint(NXOpen.IBaseCurve conic, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
CreateControlPoint(NXOpen.Routing.IRoutePosition startObject, NXOpen.Vector3d offset, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
CreateControlPoint(NXOpen.Routing.ControlPoint cpOcc, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollectioninline
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.Routing.ControlPointCollectioninlineprotectedvirtual
FindControlPoint(NXOpen.Point3d position, double tolerance)NXOpen.Routing.ControlPointCollectioninline
FoundExisting enum nameNXOpen.Routing.ControlPointCollection
GetEnumerator()NXOpen.TaggedObjectCollectioninline
NextSinkNXOpen.Utilities.NXRemotableObject
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.Routing.ControlPointCollection
ToArray()NXOpen.Routing.ControlPointCollectioninline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.